#!/bin/sh
su-exec tor tor -f /etc/tor/torrc

tor_domain=$(cat /var/lib/tor/hidden-service/hostname)
main_domain=$(echo $MAIN_DOMAIN|sed 's/\./\\\./')

sed -e "s/@@TOR_DOMAIN@@/$tor_domain/g" \
    -e "s/@@MAIN_DOMAIN@@/$main_domain/g" \
    /etc/nginx/nginx.conf.tmpl > /etc/nginx/nginx.conf

echo $tor_domain

nginx -g 'daemon off;'
